%define	desktop_vendor planetccrma
%define manver 0.4.1

Summary: Ambisonics decoder
Name: ambdec
Version: 0.5.1
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.kokkinizita.net/linuxaudio/
Source0: http://www.kokkinizita.net/linuxaudio/downloads/ambdec-%{version}.tar.bz2
Source1: http://www.kokkinizita.net/linuxaudio/downloads/ambdec-manual-%{manver}.pdf
Source2: ambdec.desktop
Source3: ambdec.conf
Patch0: ambdec-0.5.1-lpthread.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils libpng-devel
BuildRequires: clthreads-devel clxclient-devel clalsadrv-devel
BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel libsndfile-devel 
%if 0%{?fedora} >= 5 || 0%{?rhel} >= 5
BuildRequires: libX11-devel libXft-devel
%else
BuildRequires: XFree86-devel
%endif

%description
Ambisonics decoder

%prep
%setup -q
%patch0 -p1

%build
%{__cp} %{SOURCE1} ambdec-manual.pdf
cd source
%{__make} PREFIX=%{_prefix}

%install
%{__rm} -rf %{buildroot}
pushd source
%{__mkdir} -p %{buildroot}%{_bindir}
%{__make} PREFIX=%{buildroot}%{_prefix} install
popd
# install the presets
%{__mkdir} -p %{buildroot}%{_datadir}/ambdec
pushd presets
tar cf - * | (cd %{buildroot}%{_datadir}/ambdec/; tar xpf -)
popd
# and point to them from the configuration file
%{__mkdir} -p %{buildroot}%{_sysconfdir}
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/ambdec.conf

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Audio_Tools X-Players Player"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE2}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc ambdec-manual.pdf README COPYING AUTHORS
%{_bindir}/ambdec
%{_bindir}/ambdec_cli
%{_datadir}/applications/planetccrma-ambdec.desktop
%{_datadir}/ambdec/
%config %{_sysconfdir}/ambdec.conf

%changelog
* Thu Sep 15 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.5.1-1
- update to 0.5.1
- redo lpthread patch to match new version

* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.4.2-1
- added -lpthread patch to build on fc13

* Tue Nov 24 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.4.2-1
- updated to 0.4.2 (source and manual)

* Thu Sep  3 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.4.1-1
- updated to latest official release (and new manual)

* Tue Mar 24 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.4.0-1
- updated to version 0.4.0 (unofficial pre-release)
- needs libpng-devel at build time
- no manual yet... use the old version (0.2.4)

* Wed Oct 29 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.4-1
- updated to version 0.2.4 (including update to the pdf manual)

* Tue Mar 28 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.0-2
- updated manual to version 0.2.0
- added presets directory and configuration file

* Tue Mar 15 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.0-1
- updated to 0.2.0

* Fri Feb  1 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS

* Tue Oct  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.0-2
- adjusted desktop categories

* Wed Sep  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.0-1
- updated to version 0.1.0
- added ambdec_cli to file list
- updated pdf manual

* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.0.1-1
- initial build.

